<?php
/**
 * The template for displaying all pages.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>

	<div id="primary" <?php do_action( 'ritvik_content_class_init' ); ?>>
		<main id="main" <?php do_action( 'ritvik_main_class_init' ); ?>>
			<?php
			// ritvik_before_main_content hook.
			do_action( 'ritvik_before_main_content' );

			block_template_part( 'page' );

			// ritvik_after_main_content hook.
			do_action( 'ritvik_after_main_content' );
			?>
		</main><!-- #main -->
	</div><!-- #primary -->

	<?php
	// ritvik_after_primary_content_area hook.
	 do_action( 'ritvik_after_primary_content_area' );

get_footer();
